#===============================================================================================================
#===========================================以下为进项系统需要修改的配置==========================================
#===============================================================================================================
jxpt:
  #jxpt url地址（扫描仪签收 扫描仪客户端上传扫描结果使用）
  #url: http://itax-pre.ele-cloud.com:10000/jxpt/api/flow/
  url: http://10.1.2.221/jxpt/api/flow/
  #数据源配置
  db:
    ip_port: 10.1.3.224:36000
    dbname: dxhy_jxpt_20240318
    username: root
    password: dxhy123
  #redis配置
  redis:
    database: 50
  #进项接口
  jxjk:
    url: http://101.124.2.174:8100
    #std
    # secretId: emVuZ3poaXNodWl4aWFuZ211YXBwX3NlY0lk
    # secretKey: emVuZ3poaXNodWl4aWFuZ211c2VjcmV0X2tleQ==
    #测试环境
    secretId: c2FucWljZXNoaUFwcFNlY2lkUHJv
    secretKey: c2FucWljZXNoaUFwcHNlY0tleVBybw
    enterpriseCode: JXFPGLPT
    version: v1.0
    appId: JXFP
  #大B配置
  bigB:
    redirectUrl: http://itax-pre.ele-cloud.com:10000/itax-base/login.html
  oss:
    type: FTP
  ftp:
    hostname: sftp-1.itax.local
    port: 22
    username: sftp
    password: 4BkM@%EYdUI6
  #开放平台配置
  openService:
    url: https://sandbox.ele-cloud.com
    appKey: Mlfs7n9kofqPMaNVJSFoDcwS
    appSecret: awSW7gts8AS4StGV84HCKVCf
  #乐企配置
  lq:
    #挡板
    url: http://127.0.0.1:18094/dangban/jiekou
    #接入方平台编码
    ptbh: 1fc4107f168694cb6009
    #密钥
    key: 97f07df47268f39e88947189b1846748

#===============================================================================================================
#===========================================以下配置无特殊需求勿动===========================================
#===============================================================================================================
spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://${jxpt.db.ip_port}/${jxpt.db.dbname}?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&useSSL=false
      username: ${jxpt.db.username}
      password: ${jxpt.db.password}
  redis:
    database: ${jxpt.redis.database}
    jedis:
      pool:
        max-idle: 500 # 最大空闲连接
        min-idle: 5 # 最小空闲链接
        max-active: 1000  # 最大连接数（负数表示没有限制）
        max-wait: -1 # 最大阻塞等待时间（负数表示没有限制）
    timeout: 6000  #连接超时时间
jxjk:
  secretId: ${jxpt.jxjk.secretId}
  secretKey: ${jxpt.jxjk.secretKey}
  collectUrl: ${jxpt.jxjk.url}/rest/invoice/dii
  enterpriseCode: ${jxpt.jxjk.enterpriseCode}
  version: ${jxpt.jxjk.version}
  appId: ${jxpt.jxjk.appId}
  enterprisePermissionFlag: true #是否需要获取数据库企业权限标识  true：是  false：否
  dataPlatformClientId: Mlfs7n9kofqPMaNVJSFoDcwS
  dataPlatformSecret: awSW7gts8AS4StGV84HCKVCf
  dataPlatformUrl: https://newyfb.5ifapiao.com/api/authen/token
  dataPlatformCollectUrl: http://newyfb.5ifapiao.com/api/business-credit/v2/queryEntInvoicePage?access_token=
  dataPlatformCollectStateUrl: http://newyfb.5ifapiao.com/api/business-credit/v1/queryEntInvoiceState?access_token=
  invoiceDownUrl: http://10.1.1.186:8098/down/invoice/dii
  xxInvoiceDownType: 01,03,04,10,11,14,15,08
  jxInvoiceDownType: 04,10,11,15
dxhy:
  userCenter:
    # 排除拦截路径
    excludedPaths: "/dangban/jiekou,/scan/data/upload,/passengerTicket/reimbursementSystem,/tab,/api/invoice/dii,
    /scan/uploadImg,/flow/reimbursementSystem,/bigBTab/queryRzTabInfo,/bigBTab/queryYCTabInfo,/core/scan/uploadImg,
    /rest/allSaletaxes/**,/rest/alltaxes/**,/reimbursement/reimbursementSync,/invoice/**"
    bigB:
      #大B接口地址
      interfaceUrl: ${common.serverUrl.bigBUrl}
      #大B重定向地址
      redirectUrl: ${jxpt.bigB.redirectUrl}
      #退出登录路径
      logoutPath: /logout
      #系统标识
      systemSign: JXXT
oss:
  ossType: ${jxpt.oss.type}
  endpointUrl:
  accessKeyId:
  accessKeySecret:
  region:
  bucketName:
ftp:
  connection:
    hostname: ${jxpt.ftp.hostname}
    port: ${jxpt.ftp.port}
    username: ${jxpt.ftp.username}
    password: ${jxpt.ftp.password}
    timeout: 60000
    #上传电票的大小限制，单位M
    size: 2
    pathprefix: /data/sftp/jxpt/
    pathPrefix: /data/sftp/jxpt/
    localpathprefix: /home/dxhy/data/tertiary/jxfp/
    tempPath: /home/dxhy/data/tertiary/jxfp/pdf/item/
    depositPath: /home/dxhy/data/tertiary/jxfp/pdf/zipto/
    localPathDefault: /home/application/tertiary/excelfile/
    # localPathDefault: E:\\workspaceJxPt\\pt\\home\\application\\tertiary\\excelfile\\a\\
    mouldFilePath: /data/modulFile/
openService:
  token:
    url: ${jxpt.openService.url}/api/authen/token
    appKey: ${jxpt.openService.appKey}
    appSecret: ${jxpt.openService.appSecret}
  check:
    url: ${jxpt.openService.url}/api/open-recipt/V1/CheckInvoiceSingle?access_token=
  ocr:
    url: ${jxpt.openService.url}/api/ocr-service/rest/RecoImg/v1/ocr?access_token=
  #ocr识别
  ocrUrl: ${jxpt.jxjk.url}/rest/invoice/ocrInvoice
  #id
  username: ${jxpt.jxjk.secretId}
  #appKey
  password: ${jxpt.jxjk.secretKey}
  taxno: 91110108MA004CPN95
  ocrEnterprisePermissionFlag: true
# 配置swagger
swagger:
  enabled: true
  base-package: com.dxhy
  title: jxpt
  version: 3.0
  description: 管理后端服务
  contact:
    name: flow
logging:
  level:
    com.dxhy: DEBUG
  file:
    path: /data/logs/dxhy-flow/
    name: ${logging.file.path}dxhy-flow
lq:
  #增量发票下载天数最大为7
  zlfpcxts: 3
  rpc:
    #平台地址 生产沙箱
    #挡板
    url: ${jxpt.lq.url}
    #接入方平台编码
    ptbh: ${jxpt.lq.ptbh}
    #密钥
    key: ${jxpt.lq.key}
    #是否重复使用沙箱环境
    sanboxflag: true
dataBase:
  type: mysql
